DNS StatisticsGet Zone Statistics (Monthly)

Get Zone Statistics (Monthly)

curl -X GET "https://api.5centscdn.com/v2/dns/example_string/statistics/monthly/example_string" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "data": {
    "01": 45200,
    "02": 38900
  },
  "options": {
    "months": {
      "01": "Jan",
      "02": "Feb"
    },
    "years": [
      "2026",
      "2025"
    ]
  },
  "message": "example_string"
}
GET
/dns/{dnsId}/statistics/monthly/{year}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Responses

dataobject

Map of two-digit month number keys to total DNS query counts for that month.

optionsobject

Navigation and filter options for the statistics view.

messagestring

Optional informational message accompanying the response.